Enums.h File Reference

Header file for TextReader class. More...

Go to the source code of this file.

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Enumerations

enum | openshot::AnchorType { openshot::ANCHOR_CANVAS , openshot::ANCHOR_VIEWPORT }
| This enumeration determines what parent a clip should be aligned to. More...
enum | openshot::FrameDisplayType { openshot::FRAME_DISPLAY_NONE , openshot::FRAME_DISPLAY_CLIP , openshot::FRAME_DISPLAY_TIMELINE , openshot::FRAME_DISPLAY_BOTH }
| This enumeration determines the display format of the clip's frame number (if any). Useful for debugging. More...
enum | openshot::GravityType { openshot::GRAVITY_TOP_LEFT , openshot::GRAVITY_TOP , openshot::GRAVITY_TOP_RIGHT , openshot::GRAVITY_LEFT , openshot::GRAVITY_CENTER , openshot::GRAVITY_RIGHT , openshot::GRAVITY_BOTTOM_LEFT , openshot::GRAVITY_BOTTOM , openshot::GRAVITY_BOTTOM_RIGHT }
| This enumeration determines how clips are aligned to their parent container. More...
enum | openshot::ScaleType { openshot::SCALE_CROP , openshot::SCALE_FIT , openshot::SCALE_STRETCH , openshot::SCALE_NONE }
| This enumeration determines how clips are scaled to fit their parent container. More...
enum | openshot::VolumeMixType { openshot::VOLUME_MIX_NONE , openshot::VOLUME_MIX_AVERAGE , openshot::VOLUME_MIX_REDUCE }
| This enumeration determines the strategy when mixing audio with other clips. More...

## Detailed Description

Header file for TextReader class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file Enums.h.